
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>A1039. Course List for Student (25) / 憋错料</title>

    <meta name="description" content="A1039. Course List for Student (25) Zhejiang University has 40000 students and provides 2500 courses. Now given the student name lists of all the courses, you are supposed to output the registered course list for each student who comes for a query. Input Specification: Each input file">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">A1039. Course List for Student (25)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>Zhejiang University has 40000 students and provides 2500 courses. Now given the student name lists of all the courses, you are supposed to output the registered course list for each student who comes for a query.</p>
<p><strong>Input Specification:</strong></p>
<p>Each input file contains one test case. For each case, the first line contains 2 positive integers: N (&lt;=40000), the number of students who look for their course lists, and K (&lt;=2500), the total number of courses. Then the student name lists are given for the courses (numbered from 1 to K) in the following format: for each course&nbsp;<em>i</em>, first the course index&nbsp;<em>i</em>&nbsp;and the number of registered students N<sub><em>i</em></sub>&nbsp;(&lt;= 200) are given in a line. Then in the next line, N<sub><em>i</em></sub>&nbsp;student names are given. A student name consists of 3 capital English letters plus a one-digit number. Finally the last line contains the N names of students who come for a query. All the names and numbers in a line are separated by a space.</p>
<p><strong>Output Specification:</strong></p>
<p>For each test case, print your results in N lines. Each line corresponds to one student, in the following format: first print the student‘s name, then the total number of registered courses of that student, and finally the indices of the courses in increasing order. The query results must be printed in the same order as input. All the data in a line must be separated by a space, with no extra space at the end of the line.</p>
<p><strong>Sample Input:</strong></p>
<pre>11 5
4 7
BOB5 DON2 FRA8 JAY9 KAT3 LOR6 ZOE1
1 4
ANN0 BOB5 JAY9 LOR6
2 7
ANN0 BOB5 FRA8 JAY9 JOE4 KAT3 LOR6
3 1
BOB5
5 9
AMY7 ANN0 BOB5 DON2 FRA8 JAY9 KAT3 LOR6 ZOE1
ZOE1 ANN0 BOB5 JOE4 JAY9 FRA8 DON2 AMY7 KAT3 LOR6 NON9
</pre>
<p><strong>Sample Output:</strong></p>
<pre>ZOE1 2 4 5
ANN0 3 1 2 5
BOB5 5 1 2 3 4 5
JOE4 1 2
JAY9 4 1 2 4 5
FRA8 3 2 4 5
DON2 2 4 5
AMY7 1 5
KAT3 3 2 4 5
LOR6 4 1 2 4 5
NON9 0
</pre>

<pre> 1 #include &lt;stdio.h&gt;
 2 #include &lt;stdlib.h&gt;
 3 #include &lt;iostream&gt;
 4 #include &lt;string.h&gt;
 5 #include &lt;string&gt;
 6 #include &lt;math.h&gt;
 7 #include &lt;algorithm&gt;
 8 #include &lt;vector&gt;
 9 using namespace std;
10 const int N=40010;
11 const int M=26*26*26*10+1;
12 vector&lt;int&gt; xuanke[M];
13
14 int getID(char name[])
15 {
16     int id=0;
17     for(int i=0;i&lt;3;i++)
18     {
19         id=id*26+name[i]-‘A‘;
20     }
21     id=id*10+name[3]-‘0‘;
22     return id;
23 }
24 int main(){
25     char name[5];
26     int n,k;
27     scanf("%d %d",&amp;n,&amp;k);
28     for(int i=0;i&lt;k;i++)
29     {
30         int course,stu;
31         scanf("%d %d",&amp;course,&amp;stu);
32         for(int j=0;j&lt;stu;j++)
33         {
34             scanf("%s",name);
35             int id=getID(name);
36             xuanke[id].push_back(course);
37         }
38     }
39     for(int i=0;i&lt;n;i++)
40     {
41         scanf("%s",name);
42         int id=getID(name);
43         sort(xuanke[id].begin(),xuanke[id].end());
44         printf("%s %d",name,xuanke[id].size());
45         for(int j=0;j&lt;xuanke[id].size();j++)
46         {
47             printf(" %d",xuanke[id][j]);
48         }
49         printf("\n");
50     }
51
52     return 0;
53 }</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 18:00:22 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>A1039. Course List for Student (25)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35z1RR4.html" rel="bookmark">PAT 1039&period; Course List for Student &lpar;25&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1039. Course List for Student (25) Zhejiang University has 40000 students and provides 2500 courses. Now given the student name lists of all the courses, you are supposed to output the registered course list for each student who comes for a query. In			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NqOew3.html" rel="bookmark">1039&period; Course List for Student &lpar;25&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Zhejiang University has 40000 students and provides 2500 courses. Now given the student name lists of all the courses, you are supposed to output the registered course list for each student who comes for a query. Input Specification: Each input file			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgyoVp3.html" rel="bookmark">PAT 1007 Course List for Student &lpar;25&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述 Zhejiang University has 40000 students and provides 2500 courses. Now given the student name lists of all the courses, you are supposed to output the registered course list for each student who comes for a query. 输入描述: Each input file contains o			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rgNmX4.html" rel="bookmark">PAT Advanced 1039 Course List for Student &lpar;25分&rpar; （STL）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Zhejiang University has 40000 students and provides 2500 courses. Now given the student name lists of all the courses, you are supposed to output the registered course list for each student who comes for a query. Input Specification: Each input file			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/L3rXNlM.html" rel="bookmark">PAT1039&period; Course List for Student &lpar;25&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				水题,但是oj有毒,内存用了1/4,没炸内存,vector也开的够大,莫名给我个段错误,好烦 不能存学生的名字,存了,最后一组测试就给一个段错误,烦 #include&lt;bits/stdc++.h&gt; using namespace std; const int maxn=180000; vector&lt;short&gt; v[maxn]; char s[10]; int convert(char c){ if(isdigit(c))return c-'0'; return c-'A'+10;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aAyXQ0.html" rel="bookmark">PAT &lpar;Advanced Level&rpar; 1039&period; Course List for Student &lpar;25&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				map会超时,二分吧... #include&lt;iostream&gt; #include&lt;cstring&gt; #include&lt;cmath&gt; #include&lt;algorithm&gt; #include&lt;cstdio&gt; #include&lt;map&gt; #include&lt;queue&gt; #include&lt;string&gt; #include&lt;vector&gt; using namespace std; int n,m; int			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVRkxdM.html" rel="bookmark">PAT甲题题解-1039&period; Course List for Student &lpar;25&rpar;-建立映射&plus;vector</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				博主欢迎转载,但请给出本文链接,我尊重你,你尊重我,谢谢~http://www.cnblogs.com/chenxiwenruo/p/6789157.html特别不喜欢那些随便转载别人的原创文章又不给出链接的所以不准偷偷复制博主的博客噢~~ 题意:给出要查询的n个学生,k个课程接下来对于k门课,给出其id和学生数量,以及对应的学生名字租后给出n个查询的学生名字,让你输出其选的课程数量和对应的课程id,id从小到大排序. 题目简单,然而建立映射的想法不错~~推荐一开始发生段错误,才发现n的范围只是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0K7VZO0.html" rel="bookmark">PAT：1039&period; Course List for Student &lpar;25&rpar; 部分正确（最后一个大数据错误）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#include&lt;stdio.h&gt; #include&lt;string.h&gt; #include&lt;vector&gt; #include&lt;algorithm&gt; using namespace std; const int MAX=40010; const int H=26*26*26*10+10; int n,k; //n个人,k门课 vector&lt;int&gt; HAR[H]; int getID(char str[]) //获取名字对应的哈希ID { int			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6QJ6X4.html" rel="bookmark">STL&lowbar;A1039 Course List for Student &lpar;25 分&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				https://pintia.cn/problem-sets/994805342720868352/problems/994805447855292416 #include&lt;cstdio&gt; #include&lt;iostream&gt; using namespace std; #include&lt;vector&gt; #include&lt;algorithm&gt; const int M=26*26*26*10+1; vector&lt;int&gt; selectCourse[M			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/gMWKnkM.html" rel="bookmark" class="title">android 反编译网址记录</a>
					<div>
						记录一个关于Android反编译的网址,写的很详细: http://unclechen.github.io/2016/09/07/Android%E5%8F%8D%E7%BC%96%E8%AF%91% ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/x0dQlg3.html" rel="bookmark" class="title">51单片机课程设计：基于MQ-3的酒精浓度报警器</a>
					<div>
						51单片机课程设计:基于MQ-3的酒精浓度报警器 本程序用于将MQ-3上读取到的模拟信号转换为对应的数字信号,经51单片机处理后,在数码管显示,同时具有报警功能,当检测值高于预警值,蜂鸣器报警.除了可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mzan1O4.html" rel="bookmark" class="title">Gym 100553J Jokewithpermutation&lpar;dfs&rpar;</a>
					<div>
						题意:有n个数(n&lt;=50)写在一行,将两数之间的空格去掉得到一个数字串.根据这个数字串回复原数: 思路:先求数的个数,当串长度小于10时,均为个位数:当串长度大于9时,存在两位数,剪去9个个位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YYdZy0.html" rel="bookmark" class="title">2017美团点评web前端在线编程题（1）（2）</a>
					<div>
						题1: 题目描述: 很多网页上会显示一些其他网页的超链接,如一些搜索网页会逐条列出搜索到的条目.在一些网页中,被用户点击过的超链接会换一种颜色. 假设某网页一开始有n条超链接,从上到下有1-n编号,每 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Nzgy24.html" rel="bookmark" class="title">spring实战第四版第五章pom&period;xml</a>
					<div>
						&lt;project xmlns=&quot;http://maven.apache.org/POM/4.0.0&quot; xmlns:xsi=&quot;http://www.w3.org/20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0enwGp3.html" rel="bookmark" class="title">GOF23&mdash;单例模式（2）</a>
					<div>
						本文介绍单例模式(不包含枚举单例模式)漏洞问题以及如何防止漏洞 1.反射可以破解单例模式,例子如下: 此时,我们运行Client类,发现s1和s2是一个对象,但s3和s4是不同的对象. 那么如何防止这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jnyvW0.html" rel="bookmark" class="title">HDU -1864最大报销额&lpar;01背包&rpar;</a>
					<div>
						这道题属于简单的01背包,但是背包问题还算简单,就是前面的细节处理的时候要注意,题意大致说了三条限制吧 1. 只有a, b, c 三种类型的发票可以报销,其它的一律不报销 2. 物品单项的报销额不超过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rkDda4.html" rel="bookmark" class="title">hdu 1301 Jungle Roads （基础最小生成树）</a>
					<div>
						题目: 链接:点击打开链接 题意: 对n个村庄之间的路进行修理, 然后是n-1行,每行的第一组数据时一个大写字母VIL和一个数K,Vil表示从这个村庄出发,K表示刚才的那个字母代表的村庄和其他村庄的路 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzE6ZA4.html" rel="bookmark" class="title">基于DPI（深度报文解析）的应用识别2------实际分析</a>
					<div>
						新浪微博的分析 早上刚刚起床先刷微博,打算就分析一下新浪微博.登陆之后抓取发布微博的数据包,进行分析. 1.抓包的要点: 1.关闭其他网络应用,保证本机网络流量的干净,便于分析. 2.先开启wires ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49eJYJ4.html" rel="bookmark" class="title">《书都不会读，你还想成功》</a>
					<div>
						作者:二志成 多年来,凭着一点兴趣啃了基本书,却也倒了无从下笔的地步. 该书大致讲了一个读书改变人生的故事,以及读书的好处,如何读书.一本书,可能是作者倾其一生的结晶,将其价值观倾注于其中,书本文字承 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/471PDo0.html" rel="bookmark" class="title">ZLL</a>
					<div>
						彼时ZHA未能如愿成为市场宠儿,但ZigBee 联盟的努力却是值得肯定的,并且可以说为以后的ZigBee发展确定一个极为正确的方向,那就是--细化标准,保证兼容.2012年10月,Philips Hu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mm9ylKM.html" rel="bookmark" class="title">vs javascript intellisence失效</a>
					<div>
						前些天写js的时候发现vs的提示都没了...纳闷但是没去了解原因. 今天实在是受不了了. 网上搜了一下,看到msdn文档上一句话,&quot;通过使用 reference 指令,Visual Stud ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyQ8RLM.html" rel="bookmark" class="title">朵朵的二维码</a>
					<div>
						朵朵啊! 虽然你喜欢扫码 热情之炽 令我诧异 以致-- 手绘这孤独的二维码 但你画这 手机的确无法识别 请不要郁闷 不是你画风特异 而是-- 它还没有聪明到, 能识别你的心事--					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OyPwPM.html" rel="bookmark" class="title">读书笔记 之 数据结构&lpar;并查集详解&rpar;&lpar;POJ1703&rpar;</a>
					<div>
						&lt;ACM/ICPC算法训练教程&gt;读书笔记-这一次补上并查集的部分.将对并查集的思想进行详细阐述,并附上本人AC掉POJ1703的Code. 在一些有N个元素的集合应用问题中,通常会将每个元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rPaeqM.html" rel="bookmark" class="title">C 冒泡排序和选择排序</a>
					<div>
						冒泡排序 理论: 从第一个数开始,将相邻的两个数比较,第一个数和第二个数比较.....,要是是从小到大的排序,要是后面的数比前面的大则交换两个的位置,这样第一轮比较基数后最大的数就到了最后面,接着进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Moo8XnM.html" rel="bookmark" class="title">VS2015 异常 ：遇到异常。这可能是由某个扩展导致的</a>
					<div>
						原因是安装程序时将注册表修改了,解决方案: 修改注册表: 64位机器: [HKEY_CLASSES_ROOT\CLSID\{73B7DC00-F498-4ABD-AB79-D07AFD52F395}\ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6xbbX3.html" rel="bookmark" class="title">Hadoop最大的厂商Cloudera宣称加大Spark框架的投入来取代Mapreduce</a>
					<div>
						http://www.blogbus.com/anylt-logs/297399553.htmlhttp://www.blogbus.com/hrl-logs/297400868.htmlhttp:/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgQZyB3.html" rel="bookmark" class="title">hud 2289 要二分的杯子</a>
					<div>
						题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=2289 大意是 一个Cup,圆台形,给你它的顶部圆的半径,底部圆的半径,杯子的高度,和此时里面装的水的体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWdqYm0.html" rel="bookmark" class="title">android sdk content loader 一直显示0&percnt; 问题解决办法</a>
					<div>
						1.首先关闭eclipse.无法关闭则使用进程管理将其kill掉 2.打开本地的用户目录,找到.android 文件夹. 3.删除.android下面的cache文件夹 4.删除.android下面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vAp760.html" rel="bookmark" class="title">中行金融报告预测明年继续降息可能性比较大</a>
					<div>
						中行金融报告预测明年继续降息可能性比较大 行业动态深圳新闻网-深圳商报[微博]2014-12-03 06:09 我要分享 0 [摘要]2015年央行再次下调基准利率可能性比较大,通过下调存款准备金率补 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
